#pragma once
#include "../component.h"
#include "math/matrix4.h"
namespace engineapi {
	class Camera : public Component{
	protected:
		float mFov;
		float mAspect = 0.0f;
		float mNearClipDis = 0.1f;
		float mFarClipDis = 200.0f;
		bool  mEnableAfterEffects = false;
		CameraType cameraType;
	public:
		Camera();
		~Camera();
		Matrix4 GetViewMatrix();
		Matrix4 GetProjectionMatrix();
	};
};